mcannella7
Enthusiast
Enthusiast

VRO patch 7.2.1 and now seeing Server version mismatch Server...

Jump to solution

Has anyone applied the patch to 7.2 in VRO and gotten this error:

Server version mismatch

Server...

We are running 7.2 VRA/HA Full version and we upgraded to 7.2.1 (patch) per Vmware and now we are seeing a server version mismatch when we try to login to client.  We have tried clearing all Cache per Java and still no luck.  Any Ideas?

0 Kudos
1 Solution

Accepted Solutions
daphnissov
Immortal
Immortal

Yes, I've installed it. The message is accurate. You'll need to download the 7.2.1 client and use it. The 7.2.0 client is not forward compatible, hence the message.

View solution in original post

0 Kudos
3 Replies
daphnissov
Immortal
Immortal

Yes, I've installed it. The message is accurate. You'll need to download the 7.2.1 client and use it. The 7.2.0 client is not forward compatible, hence the message.

0 Kudos
iiliev
VMware Employee
VMware Employee

Are you launching vRO client using a local client deployment, or via JNLP? With JNLP, vRO version + build number are part of JNLP codebase URL, so I'd expect to have no problems with cache.

BTW, it is not that 7.2.0 and 7.2.1 are not compatible. Sometimes (rarely) we need to introduce security fixes that affect client-server communication, so it is easier to require client to be the same version as the server, rather that trying to maintain a complex compatibility matrix and having to explain to customers why client version X is compatible with server version Y but not with server version Z.

0 Kudos
mcannella7
Enthusiast
Enthusiast

Thanks guys,

WE have 2 external VRO servers so it looked like we had people launching from the JNLP from the built in.  So I just upgraded that one also and we are good to go.

0 Kudos